Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-26353

CLI: ES6+ dependencies in app/lib/node_modules not handled properly

    Details

    • Type: Bug
    • Status: Open
    • Priority: Critical
    • Resolution: Unresolved
    • Affects Version/s: Release 7.5.0
    • Fix Version/s: None
    • Component/s: Android, CLI, iOS
    • Labels:
      None

      Description

      Dependencies that use ES6+ are currently not handled properly in Titanium.

      To reproduce:
      1. Create a new Ti app
      2. Run npm init in app/lib
      3. Run npm i redux --save (in app/lib as well)
      4. Add import { createStore } from 'redux' to your app.js / index.js (ES6 enabled)
      5. Run your app

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                hknoechel Hans Knöchel
              • Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:

                  Backbone Issue Sync

                  • Titanium SDK/CLI <> Titanium Mobile
                    Synced with:
                    TIMOB-6563
                    Sync status:
                    ERROR
                    Last received:
                    Last sent:

                    Git Integration